tika-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Richard Jones (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (TIKA-2536) Move to later edu.ucar version to avoid EOL dependencies
Date Fri, 05 Jan 2018 15:39:00 GMT

     [ https://issues.apache.org/jira/browse/TIKA-2536?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Richard Jones updated TIKA-2536:
--------------------------------
    Description: 
The currently referenced 4.5.5 version of edu.ucar:grib released in Mar 2015 depends on the
EOL'd bzip2. Much more recent versions of edu.ucar:grib exist that do not.
Request moving to a much later version of edu.ucar:grib (e.g. 4.6.10 from Apr 2017) than no
longer depends on the EOL'd bzip2.

Jbzip2 is hosted on the Google Code site, which was shut down for active development in 2015.
 The project was never migrated to another site, e.g. Github.

Additionally the currently referenced 4.5.5 version of edu.ucar:cdm depends on the branch
EOL 2.6.2 version of net.sf.ehcache:ehcache-core.

Moving to a much later version of edu.ucar will address all the above EOL issues (lack of
active support for vulnerabilities and bugs).


  was:
The currently referenced 4.5.5 version of edu.ucar.grib released in Mar 2015 depends on the
EOL'd bzip2. Much more recent versions of edu.ucar.grib exist that do not.
Request moving to a much later version of edu.ucar.grib (e.g. 4.6.10 from Apr 2017) than no
longer depends on the EOL'd bzip2.

Jbzip2 is hosted on the Google Code site, which was shut down for active development in 2015.
 The project was never migrated to another site, e.g. Github.


        Summary: Move to later edu.ucar version to avoid EOL dependencies  (was: Move to later
edu.ucar.grib version to avoid EOL bzip2 dependency)

> Move to later edu.ucar version to avoid EOL dependencies
> --------------------------------------------------------
>
>                 Key: TIKA-2536
>                 URL: https://issues.apache.org/jira/browse/TIKA-2536
>             Project: Tika
>          Issue Type: Improvement
>          Components: parser
>    Affects Versions: 1.16, 1.17
>         Environment: All
>            Reporter: Richard Jones
>
> The currently referenced 4.5.5 version of edu.ucar:grib released in Mar 2015 depends
on the EOL'd bzip2. Much more recent versions of edu.ucar:grib exist that do not.
> Request moving to a much later version of edu.ucar:grib (e.g. 4.6.10 from Apr 2017) than
no longer depends on the EOL'd bzip2.
> Jbzip2 is hosted on the Google Code site, which was shut down for active development
in 2015.  The project was never migrated to another site, e.g. Github.
> Additionally the currently referenced 4.5.5 version of edu.ucar:cdm depends on the branch
EOL 2.6.2 version of net.sf.ehcache:ehcache-core.
> Moving to a much later version of edu.ucar will address all the above EOL issues (lack
of active support for vulnerabilities and bugs).



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message